#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0x95,0x17,0xC3,0xA2,0x3C,0x6E,0xA4,0x47,0x19,0x82,0xC9,
		0xB3,0x92,0xF7,0x80,0x3D,0xCF,0x49,0x1B,0x6E,0xAF,0xF5,0x47,
		0x3E,0x44,0xD1,0x6E,0x40,0xC6,0xAE,0xB7,0x5C,0xD5,0x6F,0x04,
		0x66,0x8D,0x74,0x4B,0x8F,0x58,0x85,0xBD,0x0E,0x1F,0xF8,0x65,
		0xD6,0xF5,0xDA,0xE9,0x94,0x9A,0x09,0xD6,0x20,0xD0,0x92,0x9F,
		0xA3,0xE9,0xE3,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
